<?php
/* vim: set tabstop=4 shiftwidth=4: */

/*
 * Date Utilities
 * (based on org.apache.commons.lang.time.DateUtils)
 * 
 *
 * PHP version 5
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @category   PHP
 * @package    Commons
 * @author     Yomei Komiya
 * @copyright  2007 the original author or authors.
 * @license    http://www.apache.org/licenses/LICENSE-2.0  Apache License 2.0
 * @version    SVN: $Id: DateUtils.php 61 2007-12-28 13:39:43Z whitestar $
 * @link       http://phpcommons.sourceforge.jp/
 * @see        
 * @since      File available since Release 0.8.0
 */

//namespace Commons::Lang::Time;

require_once 'Commons/Lang/Object.php';
/*
use Commons::Lang::Object;
*/

/**
 * DateUtils
 *
 *
 * @category   PHP
 * @package    Commons.Lang.Time
 * @author     Yomei Komiya
 * @copyright  2007 the original author or authors.
 * @license    http://www.apache.org/licenses/LICENSE-2.0  Apache License 2.0
 * @version    Release: 1.0.0
 * @link       http://phpcommons.sourceforge.jp/
 * @see        
 * @since      Class available since Release 0.8.0
 */
class Commons_Lang_Time_DateUtils extends Commons_Lang_Object {
//class DateUtils extends Object {
	
	const MILLIS_PER_SECOND = 1000;
	
	const MILLIS_PER_MINUTE = 60000;
	
	const MILLIS_PER_HOUR = 3600000;
	
	const MILLIS_PER_DAY = 86400000;
	
	const SEMI_MONTH = 1001;
	
	const RANGE_WEEK_SUNDAY = 1;
	
	const RANGE_WEEK_MONDAY = 2;
	
	const RANGE_WEEK_RELATIVE = 3;
	
	const RANGE_WEEK_CENTER = 4;
	
	const RANGE_MONTH_SUNDAY = 5;
	
	const RANGE_MONTH_MONDAY = 6;
	
	
	public function Commons_Lang_Time_DateUtils() {
		parent::__construct();
	}
	
	
	public function __destruct() {
		parent::__destruct();
	}
	
}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * c-hanging-comment-ender-p: nil
 * End:
 */
?>